<template>
  <div>
    <router-view />
  </div>
</template>

<script>
module.exports = {

  mounted: function () {
    const languageSelected = localStorage.getItem('#languageSelected');
    if (languageSelected == null || languageSelected == '') {
      this.$i18n.locale = 'zh-CN';
    } else {
      this.$i18n.locale = languageSelected;
    }
  },
  /*  watch:{
            '$route.path': function (value) {
                var _self = this;

                if(value == "/client-init" || value == "/login"){
                    return;
                }
                $.ajax({
                    url: Common.getApiURL("MenuResource/roleMenuAvailable"),
                    type: 'get',
                    dataType: 'json',
                    contentType: "application/json",
                    data: {
                        routePath : value
                    },
                    beforeSend: function(request) {
                        Common.addTokenToRequest(request);
                    },
                    success: function(data) {
                        if(data != undefined && data == false){
                            window.location = Common.getRedirectUrl("application.html?#/notFound");
                        }
                    },
                    error: function(XMLHttpRequest, textStatus, errorThrown) {
                        Common.processException(XMLHttpRequest, textStatus, errorThrown);
                    }
                });
            }
        } */
};
</script>

<style>
	/*修复模态框的BUG*/
	.modal-header
	{
		display: block!important;
	}

	.modal-title
	{
		float: left;
	}

	.modal-header .close
	{
		float: right;
	}

	/** 自定义卡片的样式 */
	.m-card-item{
		margin-bottom: 10px;
		font-size: 0.8em;
	}
</style>
